python-html5lib_0.999999999-1_all.deb


Advertisement

Description

python-html5lib - HTML parser/tokenizer based on the WHATWG HTML5 specification

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-html5lib
Package version 0.999999999
Package release 1
Package architecture all
Package type deb
Installed size 529 B
Download size 81.67 KB
Official Mirror archive.ubuntu.com
html5lib is a pure-python library for parsing HTML. It is designed to
conform to the HTML 5 specification, which has formalized the error handling
algorithms of popular web browsers.
This package contains the Python 2 version of html5lib.

Alternatives

Package Version Architecture Repository
python-html5lib_0.999999999-1_all.deb 0.999999999 all Ubuntu Main
python-html5lib - - -

Requires

Name Value
python-pkg-resources -
python-six -
python-webencodings -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-html5lib_0.999999999-1_all.deb
Source Package html5lib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-html5lib deb package:
    # sudo apt-get install python-html5lib

Files

Path
/usr/lib/python2.7/dist-packages/html5lib/__init__.py
/usr/lib/python2.7/dist-packages/html5lib/_ihatexml.py
/usr/lib/python2.7/dist-packages/html5lib/_inputstream.py
/usr/lib/python2.7/dist-packages/html5lib/_tokenizer.py
/usr/lib/python2.7/dist-packages/html5lib/_utils.py
/usr/lib/python2.7/dist-packages/html5lib/constants.py
/usr/lib/python2.7/dist-packages/html5lib/html5parser.py
/usr/lib/python2.7/dist-packages/html5lib/serializer.py
/usr/lib/python2.7/dist-packages/html5lib-0.999999999.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/html5lib-0.999999999.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/html5lib-0.999999999.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/html5lib-0.999999999.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/html5lib/_trie/__init__.py
/usr/lib/python2.7/dist-packages/html5lib/_trie/_base.py
/usr/lib/python2.7/dist-packages/html5lib/_trie/datrie.py
/usr/lib/python2.7/dist-packages/html5lib/_trie/py.py
/usr/lib/python2.7/dist-packages/html5lib/filters/__init__.py
/usr/lib/python2.7/dist-packages/html5lib/filters/alphabeticalattributes.py
/usr/lib/python2.7/dist-packages/html5lib/filters/base.py
/usr/lib/python2.7/dist-packages/html5lib/filters/inject_meta_charset.py
/usr/lib/python2.7/dist-packages/html5lib/filters/lint.py
/usr/lib/python2.7/dist-packages/html5lib/filters/optionaltags.py
/usr/lib/python2.7/dist-packages/html5lib/filters/sanitizer.py
/usr/lib/python2.7/dist-packages/html5lib/filters/whitespace.py
/usr/lib/python2.7/dist-packages/html5lib/treeadapters/__init__.py
/usr/lib/python2.7/dist-packages/html5lib/treeadapters/genshi.py
/usr/lib/python2.7/dist-packages/html5lib/treeadapters/sax.py
/usr/lib/python2.7/dist-packages/html5lib/treebuilders/__init__.py
/usr/lib/python2.7/dist-packages/html5lib/treebuilders/base.py
/usr/lib/python2.7/dist-packages/html5lib/treebuilders/dom.py
/usr/lib/python2.7/dist-packages/html5lib/treebuilders/etree.py
/usr/lib/python2.7/dist-packages/html5lib/treebuilders/etree_lxml.py
/usr/lib/python2.7/dist-packages/html5lib/treewalkers/__init__.py
/usr/lib/python2.7/dist-packages/html5lib/treewalkers/base.py
/usr/lib/python2.7/dist-packages/html5lib/treewalkers/dom.py
/usr/lib/python2.7/dist-packages/html5lib/treewalkers/etree.py
/usr/lib/python2.7/dist-packages/html5lib/treewalkers/etree_lxml.py
/usr/lib/python2.7/dist-packages/html5lib/treewalkers/genshi.py
/usr/share/doc/python-html5lib/README.rst.gz
/usr/share/doc/python-html5lib/changelog.Debian.gz
/usr/share/doc/python-html5lib/copyright

Changelog

2016-11-16 - Barry Warsaw <barry@debian.org>
html5lib (0.999999999-1) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Barry Warsaw ]
* New upstream release. (Closes: #843947)
* d/control:
- By request, remove Olivier Berger from Uploaders.  Add Barry Warsaw.
- Add to Build-Depends: python{,3}-webencodings, python{,3}-pytest,
python{,3}-flake8
- Bump minimum debhelper version in Build-Depends.
- Bump Standards-Version with no other changes necessary.
- Trim Depends to just the auto-filled variables.
- Adjust short descriptions.
* d/watch: Use the pypi.debian.net redirector.
* d/compat: Bump to version 9.
* d/docs: Don't also install CHANGES.rst since that same file is
installed as the changelog.  Eliminates a lintian warning.
[ Diane Trout ]
* d/rules: Use py.test as the test runner as some tests use py.test
decorators.
* d/control
- Remove from Build-Depends: python{,3}-nose
- Add to Build-Depends: python{,3}-pytest-expect needed
to run tests.
- Add to Build-Depends: python{,3}-genshi, python{,3}-lxml
to decrease number of skipped tests.
2016-02-09 - Barry Warsaw <barry@debian.org>
html5lib (0.999-4) unstable; urgency=medium
* Team upload.
* d/control:
- Remove python-html5lib-whl as it's no longer necessary.
- Remove python3-wheel from Build-Depends.
* d/rules: Remove override_dh_auto_install since we no longer need to
build the wheel package.
* d/python-html5lib-whl.install: Removed.
2014-05-15 - Barry Warsaw <barry@debian.org>
html5lib (0.999-3) unstable; urgency=medium
* Team upload.
* d/control:
- Add python3-wheel to Build-Depends.
- Bump Standards-Version to 3.9.5 with no other changes necessary.
- Add the python-html5-whl binary package.
- wrap-and-sort
- Fix python3-html5lib Suggests.
* d/rules:
- Build the universal wheels.
- Override dh_installchangelogs to use the CHANGES.rst file.
* d/python-html5-whl.install: Added.
* d/patches/setuptools.patch: Added.
2014-01-09 - Olivier Berger <obergix@debian.org>
html5lib (0.999-2) unstable; urgency=low
* Add missing Build-Depends on python{3}-six, thanks to James Page
<james.page@ubuntu.com> (Closes: #734608).
2013-12-27 - Olivier Berger <obergix@debian.org>
html5lib (0.999-1) experimental; urgency=medium
* New upstream release.
2013-12-13 - Olivier Berger <obergix@debian.org>
html5lib (0.99-1) experimental; urgency=low
* New upstream version, and change of main uploader (still in DPMT).
* Add support for Python 3 (Closes: #729155).
2013-05-05 - Jakub Wilk <jwilk@debian.org>
html5lib (0.95-2) UNRELEASED; urgency=low
* Use canonical URIs for Vcs-* fields.
2012-05-09 - Bernd Zeimetz <bzed@debian.org>
html5lib (0.95-1) unstable; urgency=low
* New upstream version
* Fix watch file.
* Tidy debian/rules, using dh, bump debian/compat to 7.
* Migrate to dh_python2.
* Drop no-setuptools patch, add python-setuptools as dependency.
* Drop patch system and debian/README.source
* Remove debian/examples - not shipped by upstream anymore.
* Bump Standards-Version to 3.9.3.
* Do not install tests folder. 
2010-01-24 - Bernd Zeimetz <bzed@debian.org>
html5lib (0.90-1) unstable; urgency=low
* New upstream version. 
* Updating patch to apply at the new version. 
* Check for the tests directory before running tests.
They're not always included in the source.... 
2009-12-28 - Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
html5lib (0.11.1-3) unstable; urgency=low
[ Luca Falavigna ]
* debian/control:
- Add ${misc:Depends} to python-html5lib dependencies.
- Remove python-celementtree from (Build-)Depends (Closes: #562457).
- Remove python-elementtree from (Build-)Depends (Closes: #562467).
- Bump Standards-Version to 3.8.3, no changes required.
* debian/pyversions:
- Bump minimum required version to 2.5, features provided by
python-elementtree and python-celementtree support are now
available in standard library.

See Also

Package Description
python-httplib2_0.9.2+dfsg-1_all.deb comprehensive HTTP client library written for Python
python-hyperlink_17.3.1-2_all.deb Immutable, Pythonic, correct URLs
python-idna_2.6-1_all.deb Python IDNA2008 (RFC 5891) handling (Python 2)
python-incremental_16.10.1-3_all.deb Library for versioning Python projects
python-ipaddr_2.2.0-1_all.deb Python module for working with IP addresses, both IPv4 and IPv6
python-ipaddress_1.0.17-1_all.deb Backport of Python 3 ipaddress module (Python 2)
python-iso8601_0.1.11-1_all.deb Python module to parse ISO 8601 dates - Python 2.x
python-itsdangerous-doc_0.24+dfsg1-2_all.deb Various helpers to pass trusted data to untrusted environment - doc
python-itsdangerous_0.24+dfsg1-2_all.deb Various helpers to pass trusted data to untrusted environment - Python 2.x
python-jinja2-doc_2.10-1_all.deb documentation for the Jinja2 Python library
python-jinja2_2.10-1_all.deb small but fast and easy to use stand-alone template engine
python-jmespath_0.9.3-1ubuntu1_all.deb JSON Matching Expressions (Python 2)
python-json-pointer-doc_1.10-1_all.deb resolve JSON pointers - doc
python-json-pointer_1.10-1_all.deb resolve JSON pointers - Python 2.7
python-jsonpatch_1.19+really1.16-1fakesync1_all.deb library to apply JSON patches - Python 2.x
Advertisement
Advertisement